Bug 6980 - Existing extended patron attributes are shown on patron screens even when ExtendedPatronAttributes is disabled
Summary: Existing extended patron attributes are shown on patron screens even when Ext...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-05 20:00 UTC by Owen Leonard
Modified: 2013-12-05 19:57 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed fix (14.85 KB, patch)
2011-10-06 18:33 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Fix for Bug 6980, Patron attributes are shown when ExtendedPatronAttributes is disabled (15.17 KB, patch)
2011-10-19 18:31 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2011-10-05 20:00:16 UTC
If you have added extended patron attributes but have since turned off the ExtendedPatronAttributes preference those existing attributes will still be displayed in the sidebar of circulation and patron-related pages. The display of these attributes should be controlled by the ExtendedPatronAttributes preference.
Comment 1 Owen Leonard 2011-10-06 18:33:02 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2011-10-19 18:31:33 UTC
Created attachment 5989 [details] [review]
[SIGNED-OFF] Fix for Bug 6980, Patron attributes are shown when ExtendedPatronAttributes is disabled

This patch adds a check for the value of the ExtendedPatronAttributes
preference to the scripts and corresponding logic to the templates
controlling the sidebar menu.

The patch also corrects a duplication of attributes code in moremember.pl

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
1) Added extended patron attributes in configuration, turned ExtendedPatronAttributes on
2) Altered patron details, added values for patron attributes
> Verified patron attributes show show correctly
3) Turned off ExtendedPatronAttributes
> Verified patron attributes were hidden everywhere
Comment 3 Ian Walls 2011-10-19 18:57:27 UTC
All template logic is good and clean, and the supporting params are now more logically and consistently treated.  Marking as Passed QA.
Comment 4 Chris Cormack 2011-10-19 22:41:03 UTC
Pushed, please test